Loading...
Searching...
No Matches
fastamg.hh File Reference

A fast AMG method, that currently only allows only Gauss-Seidel smoothing and is currently purely sequential. It combines one Gauss-Seidel presmoothing sweep with the defect calculation to reduce memory transfers. More...

`#include <memory>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/typetraits.hh>`
`#include <dune/istl/paamg/smoother.hh>`
`#include <dune/istl/paamg/transfer.hh>`
`#include <dune/istl/paamg/matrixhierarchy.hh>`
`#include <dune/istl/solvers.hh>`
`#include <dune/istl/scalarproducts.hh>`
`#include <dune/istl/superlu.hh>`
`#include <dune/istl/umfpack.hh>`
`#include <dune/istl/solvertype.hh>`
`#include <dune/istl/io.hh>`
`#include <dune/istl/preconditioners.hh>`
`#include "fastamgsmoother.hh"`

Go to the source code of this file.

## Classes

class | Dune::Amg::FastAMG< M, X, PI, A >
| A fast (sequential) algebraic multigrid based on agglomeration that saves memory bandwidth. More...

## Namespaces

namespace | Dune
namespace | Dune::Amg

## Macros

#define | DIRECTSOLVER SuperLU

## Detailed Description

A fast AMG method, that currently only allows only Gauss-Seidel smoothing and is currently purely sequential. It combines one Gauss-Seidel presmoothing sweep with the defect calculation to reduce memory transfers.

Author
  Markus Blatt

## Macro Definition Documentation

## DIRECTSOLVER

#define DIRECTSOLVER SuperLU